
QGIS Application - Bug report #4562

Using current gfoss release version (1.7.1), PyQGIS fails to load on Debian wheezy

2011-11-23 02:00 AM - nodereus -

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Debian Wheezy Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14475

Description

In terms of the error, this seems to be an exact reversal of #4503 for Wheezy, and similar to resolved #4190 for Ubuntu

Running Debian Wheezy, and the qgis package from http://debian.gfoss.it wheezy main

Couldn't load PyQGIS.

Python support will be disabled.

Traceback (most recent call last):

  File "", line 1, in 

RuntimeError: the PyQt4.QtCore module is version 1 but the qgis.core module requires version -1

Python version:

2.7.2+ (default, Aug 16 2011, 09:53:36) 

[GCC 4.6.1]

QGIS version:

1.7.1-Wroclaw 'Wroclaw', exported

Python path:

['/usr/share/qgis/python', '/home/nils/.qgis/python', '/home/nils/.qgis/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/python2.7/dist-packages/gst-0.10', '/usr/lib/python2.7/dist-packages/gtk-2.0',

'/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

History

#1 - 2011-11-30 12:41 PM - Giovanni Manghi

- Target version changed from Version 1.7.1 to Version 1.7.3

#2 - 2011-12-16 10:55 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0
#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-05 05:47 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

there is no problem to compile QGIS on Debian stable (Jessie) and having a working PyQGis module.

I am closing this bug.
